[SRU] No translation files included in K3b

Bug #1683125 reported by Jan Rathmann on 2017-04-16
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
k3b (Ubuntu)
Undecided
Unassigned
Zesty
Undecided
Unassigned
Artful
Undecided
Unassigned

Bug Description

[Impact]

 * The K3b interface is not translated for expected localisations.

 * The translations are not present in git-master snapshots, but are provided in the shipped release tarballs.

 * This upload switches to the 17.04.0 release tarball where the localisations/translations are available and re-corrects the packaging to install these.

[Test Case]

 * Reproduce by switching KDE regional settings to what should be a supported localisation (including installing main kde language packs), log out and in, and K3B interface will remain in English only.

 * With the update, the excepted translated interface for K3B is used.

 * As commented in the bug, reporter has tested the staging packages for the update and reported on their locale (German I think) that the translated K3B is restored as expected.

 * I have tested on Spanish and Dutch the same, although not be a speaker of those I cannot verify the translation quality itself.

[Regression Potential]

 * The lack of translations is itself a regression, so restoring them is correcting that case.

 * In addition to restoring translations (adding 'po' dir and cmakelists adjustment to make those), updating to the 17.04.0 release tarball includes ONLY the extra commits:

- Update the internal project and app version in cmake to 17.04.0
- Add a few additional translations to the appstream data (sr, tr)
- Update a test that we don't currently run (hopefully will in AA release).

 * Consequently the largest risk of regression may be introducing a translation of a feature which is of not as good 'quality' as the native English translation. In general, as these are the intended translations to be shipped in the upstream release, this is of no more severity than if we had been able to ship this release (missed by a few days) originally.

---

Hello,

the interface of the version of K3b shipped in Zesty is untranslated, because apparently the respective translation files are not shipped.

A package k3b-i18n, that should contain the translation files, exists, but it doesn't contain anything (see attached screenshot).

Kind regards,
Jan

ProblemType: Bug
DistroRelease: Ubuntu 17.04
Package: k3b 2.0.3a+git20170325-0ubuntu2
ProcVersionSignature: Ubuntu 4.10.0-19.21-generic 4.10.8
Uname: Linux 4.10.0-19-generic x86_64
NonfreeKernelModules: nvidia_uvm nvidia
ApportVersion: 2.20.4-0ubuntu4
Architecture: amd64
CurrentDesktop: Unity:Unity7
Date: Sun Apr 16 09:58:28 2017
InstallationDate: Installed on 2017-04-14 (1 days ago)
InstallationMedia: Ubuntu 17.04 "Zesty Zapus" - Release amd64 (20170412)
SourcePackage: k3b
UpgradeStatus: No upgrade log present (probably fresh install)

Jan Rathmann (kaiserclaudius) wrote :
Rik Mills (rikmills) wrote :

Seem that the upstream snapshot was missing the translation files, and not picked up as our CI strips those on it's normal build and packaging.

I will look at a bugfix update to restore them.

Rik Mills (rikmills) wrote :

Jan, could you please test a potential fixed package?

In terminal, do...

sudo add-apt-repository ppa:rikmills/bug1683125
sudo apt-get update
sudo apt-get dist-updgrade

Have just copied the packages to that ppa, so may take a short while to publish

Changed in k3b (Ubuntu):
status: New → Confirmed
Jan Rathmann (kaiserclaudius) wrote :

Rik, thanks for your work, I have tested the new version from your PPA, and now localisation works again correctly.

Rik Mills (rikmills) on 2017-04-18
description: updated
summary: - No translation files included in K3b
+ [SRU] No translation files included in K3b
Rik Mills (rikmills) on 2017-04-18
Changed in k3b (Ubuntu Zesty):
status: Confirmed → In Progress

Hello Jan, or anyone else affected,

Accepted k3b into zesty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/k3b/17.04.0-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in k3b (Ubuntu Zesty):
status: In Progress → Fix Committed
tags: added: verification-needed
Rik Mills (rikmills) on 2017-04-22
Changed in k3b (Ubuntu Artful):
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package k3b - 17.04.0-0ubuntu1

---------------
k3b (17.04.0-0ubuntu1) zesty; urgency=medium

  * New upstream release (17.04.0)
    - Restores translations missed from previous snapshot, but included
      in the release tarball (LP: #1683125)
    - Upstream commits from previous git snapshot (2.0.3a+git20170325)
      are 2 bumps of the application version in cmake, 2 additions
      of appstream data translations and change to an as yet unused test.

 -- Rik Mills <email address hidden> Tue, 18 Apr 2017 15:56:12 +0100

Changed in k3b (Ubuntu Artful):
status: Fix Committed → Fix Released
Rik Mills (rikmills) wrote :

k3b (17.04.0-0ubuntu1) zesty

Testing yields same results as my ppa upload. Translations seem to be there and applied selecting a few languages at random.

Rik Mills (rikmills) wrote :

Polish translation (see attachment)

tags: added: verification-done
removed: verification-needed
Jan Rathmann (kaiserclaudius) wrote :

Just a short notice that the version in Proposed works fine for me, too.

On 26/04/17 06:59, Jan Rathmann wrote:
> Just a short notice that the version in Proposed works fine for me, too.
>

Thanks for verifying

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package k3b - 17.04.0-0ubuntu1

---------------
k3b (17.04.0-0ubuntu1) zesty; urgency=medium

  * New upstream release (17.04.0)
    - Restores translations missed from previous snapshot, but included
      in the release tarball (LP: #1683125)
    - Upstream commits from previous git snapshot (2.0.3a+git20170325)
      are 2 bumps of the application version in cmake, 2 additions
      of appstream data translations and change to an as yet unused test.

 -- Rik Mills <email address hidden> Tue, 18 Apr 2017 15:56:12 +0100

Changed in k3b (Ubuntu Zesty):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for k3b has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers